Package org.codehaus.janino

# Class FilterWarningHandler

java.lang.Object
org.codehaus.janino.FilterWarningHandler

All Implemented Interfaces:
  `WarningHandler`

public class FilterWarningHandler extends Object implements WarningHandler
Invokes a delegate iff the handle of the warning matches one or more of a set of `StringPattern`s.

## Constructor Summary

Constructors
Constructor
Description
`FilterWarningHandler(StringPattern[] handlePatterns, WarningHandler delegate)`
Popular values for the `handlePatterns` parameter are `StringPattern.PATTERNS_ALL` and `StringPattern.PATTERNS_NONE`.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleWarning(String handle, String message, Location location)`
May or may not choose to throw a `CompileException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterWarningHandler

public FilterWarningHandler(StringPattern[] handlePatterns, WarningHandler delegate)
Popular values for the `handlePatterns` parameter are `StringPattern.PATTERNS_ALL` and `StringPattern.PATTERNS_NONE`.

## Method Details

### handleWarning

public void handleWarning(@Nullable String handle, String message, @Nullable Location location) throws CompileException
Description copied from interface: `WarningHandler`
May or may not choose to throw a `CompileException`.

Specified by:
  `handleWarning` in interface `WarningHandler`
Parameters:
  `handle` - A string describing the category of the warning; used for filtering iff non-`null`
Throws:
  `CompileException` - This `WarningHandler` wishes to terminate compilation, e.g. because "too many" warnings have been reported